Package com.io7m.cardant.type_packages.parsers

# Class CATypePackageParsers

java.lang.Object
com.io7m.cardant.type_packages.parsers.CATypePackageParsers

All Implemented Interfaces:
  `com.io7m.anethum.api.ParserFactoryType<com.io7m.blackthorne.core.BTPreserveLexical,CATypePackageDeclaration,CATypePackageParserType>`, `CATypePackageParserFactoryType`, `com.io7m.repetoir.core.RPServiceType`

public final class CATypePackageParsers extends Object implements CATypePackageParserFactoryType
The default provider of type package parsers.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CATypePackageParsers()`
  The default provider of type package parsers.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CATypePackageParserType`
  `createParserWithContext(com.io7m.blackthorne.core.BTPreserveLexical context, URI source, InputStream stream, Consumer<com.io7m.anethum.api.ParseStatus> statusConsumer)`
  `String`
  `description()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.io7m.anethum.api.ParserFactoryType

  `createParser, createParser, createParserForFileWithContext, parse, parse, parseFile, parseFile, parseFileWithContext, parseFileWithContext`

- ## Constructor Details

  - ### CATypePackageParsers

    public CATypePackageParsers()
    The default provider of type package parsers.

- ## Method Details

  - ### createParserWithContext

    public CATypePackageParserType createParserWithContext(com.io7m.blackthorne.core.BTPreserveLexical context, URI source, InputStream stream, Consumer<com.io7m.anethum.api.ParseStatus> statusConsumer)
    Specified by:
      `createParserWithContext` in interface `com.io7m.anethum.api.ParserFactoryType<com.io7m.blackthorne.core.BTPreserveLexical,CATypePackageDeclaration,CATypePackageParserType>`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### description

    public String description()
    Specified by:
      `description` in interface `com.io7m.repetoir.core.RPServiceType`